org.apache.solr.common.cloud

## Class PerReplicaStates.LazyPrsSupplier

- java.lang.Object
- - org.apache.solr.common.cloud.DocCollection.PrsSupplier
  - - org.apache.solr.common.cloud.PerReplicaStates.LazyPrsSupplier

All Implemented Interfaces:
  Supplier<PerReplicaStates>

Enclosing class:
  PerReplicaStates

    public static class PerReplicaStates.LazyPrsSupplier
    extends DocCollection.PrsSupplier

### Constructor Summary

Constructors
Constructor and Description
`LazyPrsSupplier(SolrZkClient zkClient, String collectionPath)`

### Method Summary

### Methods inherited from class org.apache.solr.common.cloud.DocCollection.PrsSupplier

`get`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LazyPrsSupplier

    public LazyPrsSupplier(SolrZkClient zkClient,
                           String collectionPath)